%define ver_major 2.30

Name: sabayon
Version: %ver_major.0
Release: alt1

Summary: A system administration tool to manage GNOME desktop settings.
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://projects.gnome.org/%name
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name.pam
Patch: %name-2.29.5-alt-config.patch
Patch1: %name-2.29.92-alt-xinitrc.patch

%define GConf_ver 2.11.2
PreReq: GConf2 >= %GConf_ver gnome-session xorg-xephyr

# From configure.in
BuildPreReq: gnome-common intltool >= 0.40.0
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libgtk+2-devel python-devel python-module-pygobject-devel >= 2.15.0
BuildPreReq: gnome-doc-utils >= 0.17.3 pessulus python-module-ldap python-module-pygtk-devel
BuildRequires: libSM-devel librarian python-module-pyxdg xorg-cf-files xorg-xephyr

%description
Sabayon is a system administration tool to manage GNOME desktop
settings. Sabayon provides a sane way to edit GConf defaults and GConf
mandatory keys: the same way you edit your desktop. Sabayon launches
profiles in an Xnest window. Any changes you make in the Xnest window
are saved back to the profile file, which can then be applied to user's
accounts.

%prep
%setup -q
%patch -b .config
%patch1 -b .xinitrc

%build
%autoreconf
export ac_cv_path_CONSOLE_HELPER=/usr/bin/consolehelper
%configure \
	--with-distro=altlinux

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_sysconfdir/gconf/2
echo 'include "$(HOME)/.gconf.path.defaults"'  > %buildroot%_sysconfdir/gconf/2/local-defaults.path
echo 'include "$(HOME)/.gconf.path.mandatory"' > %buildroot%_sysconfdir/gconf/2/local-mandatory.path
mkdir -p %buildroot%_sysconfdir/desktop-profiles

# overwrite pam config
install -m 644 %SOURCE1 %buildroot%_sysconfdir/pam.d/sabayon

%find_lang --with-gnome %name

%pre
%_sbindir/groupadd -r %name 2>/dev/null ||:
%_sbindir/useradd -r -c "Sabayon User" -s /sbin/nologin -g %name %name 2>/dev/null ||:

%files -f %name.lang
%_bindir/*
%_sbindir/*
%_libexecdir/%name-session
%python_sitelibdir/%name
%_desktopdir/*
%_iconsdir/hicolor/*/*/*
%_datadir/%name
%_sysconfdir/%name/profiles
%_sysconfdir/X11/xinit.d/sabayon-xinitrc.sh
%_man8dir/*
%config(noreplace) %_sysconfdir/pam.d/sabayon
%config(noreplace) %_sysconfdir/security/console.apps/sabayon
%config(noreplace) %_sysconfdir/gconf/2/local-defaults.path
%config(noreplace) %_sysconfdir/gconf/2/local-mandatory.path
%doc AUTHORS ChangeLog README NEWS

%changelog
* Tue Apr 06 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Wed Feb 24 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt1
- 2.29.92

* Fri Feb 19 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt3
- fixed config patch
- fixed sabayon-xinitrc.sh
- requires xorg-xephyr

* Thu Jan 14 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt2
- 2.29.5 release

* Sun Jan 03 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt1rc2
- 2.29.5-rc2

* Wed Dec 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.29.2-alt2
- fixed %%pre script
- %%_sysconfdir/desktop-profiles directory packaged

* Thu Dec 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.29.2-alt1
- first test build for Sisyphus

